Downloads:
35,988
Downloads of v 22.4.0.20220819:
34,578
Last Update:
19 Aug 2022
Package Maintainer(s):
Software Author(s):
- Canonical Ltd.
Tags:
wsl wsl2 ubuntu linux jammy- Software Specific:
- Software Site
- Software Docs
- Software Issues
- Package Specific:
- Package Source
- Package outdated?
- Package broken?
- Contact Maintainers
- Contact Site Admins
- Software Vendor?
- Report Abuse
- Download
Ubuntu 22.04 LTS for WSL
- 1
- 2
- 3
22.4.0.20220819 | Updated: 19 Aug 2022
- Software Specific:
- Software Site
- Software Docs
- Software Issues
- Package Specific:
- Package Source
- Package outdated?
- Package broken?
- Contact Maintainers
- Contact Site Admins
- Software Vendor?
- Report Abuse
- Download
Downloads:
35,988
Downloads of v 22.4.0.20220819:
34,578
Maintainer(s):
Software Author(s):
- Canonical Ltd.
Ubuntu 22.04 LTS for WSL 22.4.0.20220819
Legal Disclaimer: Neither this package nor Chocolatey Software, Inc. are affiliated with or endorsed by Canonical Ltd. The inclusion of Canonical Ltd. trademark(s), if any, upon this webpage is solely to identify Canonical Ltd. goods or services and not for commercial purposes.
- 1
- 2
- 3
This Package Contains an Exempted Check
Not All Tests Have Passed
Deployment Method: Individual Install, Upgrade, & Uninstall
To install Ubuntu 22.04 LTS for WSL, run the following command from the command line or from PowerShell:
To upgrade Ubuntu 22.04 LTS for WSL, run the following command from the command line or from PowerShell:
To uninstall Ubuntu 22.04 LTS for WSL, run the following command from the command line or from PowerShell:
Deployment Method:
This applies to both open source and commercial editions of Chocolatey.
1. Enter Your Internal Repository Url
(this should look similar to https://community.chocolatey.org/api/v2/)
2. Setup Your Environment
1. Ensure you are set for organizational deployment
Please see the organizational deployment guide
2. Get the package into your environment
Option 1: Cached Package (Unreliable, Requires Internet - Same As Community)-
Open Source or Commercial:
- Proxy Repository - Create a proxy nuget repository on Nexus, Artifactory Pro, or a proxy Chocolatey repository on ProGet. Point your upstream to https://community.chocolatey.org/api/v2/. Packages cache on first access automatically. Make sure your choco clients are using your proxy repository as a source and NOT the default community repository. See source command for more information.
- You can also just download the package and push it to a repository Download
-
Open Source
-
Download the package:
Download - Follow manual internalization instructions
-
-
Package Internalizer (C4B)
-
Run: (additional options)
choco download wsl-ubuntu-2204 --internalize --source=https://community.chocolatey.org/api/v2/
-
For package and dependencies run:
choco push --source="'INTERNAL REPO URL'"
- Automate package internalization
-
Run: (additional options)
3. Copy Your Script
choco upgrade wsl-ubuntu-2204 -y --source="'INTERNAL REPO URL'" [other options]
See options you can pass to upgrade.
See best practices for scripting.
Add this to a PowerShell script or use a Batch script with tools and in places where you are calling directly to Chocolatey. If you are integrating, keep in mind enhanced exit codes.
If you do use a PowerShell script, use the following to ensure bad exit codes are shown as failures:
choco upgrade wsl-ubuntu-2204 -y --source="'INTERNAL REPO URL'"
$exitCode = $LASTEXITCODE
Write-Verbose "Exit code was $exitCode"
$validExitCodes = @(0, 1605, 1614, 1641, 3010)
if ($validExitCodes -contains $exitCode) {
Exit 0
}
Exit $exitCode
- name: Install wsl-ubuntu-2204
win_chocolatey:
name: wsl-ubuntu-2204
version: '22.4.0.20220819'
source: INTERNAL REPO URL
state: present
See docs at https://docs.ansible.com/ansible/latest/modules/win_chocolatey_module.html.
chocolatey_package 'wsl-ubuntu-2204' do
action :install
source 'INTERNAL REPO URL'
version '22.4.0.20220819'
end
See docs at https://docs.chef.io/resource_chocolatey_package.html.
cChocoPackageInstaller wsl-ubuntu-2204
{
Name = "wsl-ubuntu-2204"
Version = "22.4.0.20220819"
Source = "INTERNAL REPO URL"
}
Requires cChoco DSC Resource. See docs at https://github.com/chocolatey/cChoco.
package { 'wsl-ubuntu-2204':
ensure => '22.4.0.20220819',
provider => 'chocolatey',
source => 'INTERNAL REPO URL',
}
Requires Puppet Chocolatey Provider module. See docs at https://forge.puppet.com/puppetlabs/chocolatey.
4. If applicable - Chocolatey configuration/installation
See infrastructure management matrix for Chocolatey configuration elements and examples.
This package was approved by moderator TheCakeIsNaOH on 08 Oct 2022.
"Ubuntu 22.04 LTS on Windows allows you to use Ubuntu Terminal and run Ubuntu command line utilities including bash, ssh, git, apt and many more." - <https://www.microsoft.com/en-us/p/ubuntu-2204-lts/9PN20MSR04DW>
Package parameters
/AutomaticInstall:true
- whether to install Ubuntu distro automatically with a default WSL name and username. Defaults tofalse
Example: choco install wsl-ubuntu-2204 --params "/AutomaticInstall:true"
Note
- This package checks to see if WSL is installed before downloading the distro archive file. If this check fails, the install will fail.
- Important: Install wsl or wsl2 then restart before attempting to install this package. A dependency was not declared since installing this package on a system where WSL wasn't installed before will always fail since WSL requires a restart before it can be used.
$ErrorActionPreference = 'Stop'
if (Get-Command ubuntu2204.exe -ErrorAction SilentlyContinue) {
& wsl.exe --unregister "Ubuntu-22.04"
}
else {
& wsl.exe --unregister "Ubuntu"
}
& wsl.exe --list --verbose
#!/bin/bash
set -euo pipefail
DIR_ME=$(realpath $(dirname $0))
# this script is called by root an must fail if no user is provided
. ${DIR_ME}/installUtils.sh
setUserName ${1-""}
OS_TYPE=${2-"ubuntu"}
createMainUser () {
verifyUserName
if [[ $(cat /etc/passwd | grep ${USERNAME} | wc -l) == 0 ]]; then
useradd -m -s /bin/bash ${USERNAME}
fi
# add to sudo group
#if [[ "${OS_TYPE}" == "ubuntu" ]]; then
# usermod -aG sudo ${USERNAME}
#fi
if [[ ! -d ${HOMEDIR}/Downloads ]]; then
mkdir ${HOMEDIR}/Downloads
chown ${USERNAME}:${USERNAME} ${HOMEDIR}/Downloads
fi
# ensure no password is set
passwd -d ${USERNAME}
}
createMainUser
modifyWslConf
#!/bin/bash
set -euo pipefail
DIR_INSTALL_UTILS=$(realpath $( dirname ${BASH_SOURCE[0]:-$0} ) )
USERNAME=""
HOMEDIR=""
setUserName () {
USERNAME=${1-""}
verifyUserName
}
verifyUserName () {
if [[ ${USERNAME} == "" ]]; then
echo "Please pass a user name"
exit 1
elif [[ ${USERNAME} == "root" ]]; then
HOMEDIR="/root"
else
HOMEDIR="/home/${USERNAME}"
fi
}
modifyWslConf () {
verifyUserName
sudo touch /etc/wsl.conf
sudo echo "[user]" >> /etc/wsl.conf
sudo echo "default=${USERNAME}" >> /etc/wsl.conf
}
Log in or click on link to see number of positives.
In cases where actual malware is found, the packages are subject to removal. Software sometimes has false positives. Moderators do not necessarily validate the safety of the underlying software, only that a package retrieves software from the official distribution point and/or validate embedded software against official distribution point (where distribution rights allow redistribution).
Chocolatey Pro provides runtime protection from possible malware.
Add to Builder | Version | Downloads | Last Updated | Status |
---|---|---|---|---|
Ubuntu 22.04 LTS for WSL 22.4.0.20220819 | 34578 | Friday, August 19, 2022 | Approved | |
Ubuntu 22.04 LTS for WSL 22.4.0.20220818 | 63 | Friday, August 19, 2022 | Approved | |
Ubuntu 22.04 LTS for WSL 22.4.0.20220620 | 1347 | Tuesday, June 21, 2022 | Approved |
© Canonical Ltd.
This package has no dependencies.
Ground Rules:
- This discussion is only about Ubuntu 22.04 LTS for WSL and the Ubuntu 22.04 LTS for WSL package. If you have feedback for Chocolatey, please contact the Google Group.
- This discussion will carry over multiple versions. If you have a comment about a particular version, please note that in your comments.
- The maintainers of this Chocolatey Package will be notified about new comments that are posted to this Disqus thread, however, it is NOT a guarantee that you will get a response. If you do not hear back from the maintainers after posting a message below, please follow up by using the link on the left side of this page or follow this link to contact maintainers. If you still hear nothing back, please follow the package triage process.
- Tell us what you love about the package or Ubuntu 22.04 LTS for WSL, or tell us what needs improvement.
- Share your experiences with the package, or extra configuration or gotchas that you've found.
- If you use a url, the comment will be flagged for moderation until you've been whitelisted. Disqus moderated comments are approved on a weekly schedule if not sooner. It could take between 1-5 days for your comment to show up.